# List ratings for a conversation

Lists latest ratings statuses for a particular conversation by providing the conversation ID. For surveys with multiple questions, rating status will be reported for each individual question of the survey. For example, a response for a 3 question survey that was answered will be 3 elements with status "Rated". Additionally, a multiple question survey can be partially answered, therefore a response of such case will be a mix of "Offered" and "Rated" statuses. Note that the IDs of multiple questions response elements will be the same, because they are part of the same survey.

Endpoint: GET /beta/conversations/{conversationId}/ratings
Version: beta
Security: ApiKeyAuth

## Path parameters:

  - `conversationId` (integer, required)

## Response 200 fields (application/json):

  - `data` (array)

  - `data.id` (string, required)

  - `data.ratingScore` (integer)

  - `data.ratingType` (string, required)
    values: [Csat, Nps, ThumbsUpOrDown]

  - `data.ratingComment` (string)

  - `data.conversationChannel` (string, required)
    values: [WhatsApp, Voicemail, WidgetChat, FacebookMessenger, Twitter, Email, ContactForm, Callback, PstnPhone, Sms, Messenger]

  - `data.agentId` (string)

  - `data.userId` (string, required)

  - `data.ratingStatus` (string, required)
    values: [Unscheduled, Offered, Rated, Scheduled, Cancelled]

  - `data.language` (string)

## Response 400 fields (application/json):

  - `message` (string, required)

## Response 404 fields (application/json):

  - `message` (string, required)

## Response 500 fields (application/json):

  - `message` (string, required)

